function Pulsado(valorSelecPadre, hijo, array, defecto)	{
			var i, j, bEncontrado;
            i=1;
            if (valorSelecPadre=="") { // Limpia el hijo
                  hijo.options.length=i;
                  hijo.options[i-1].value=-1;
                  hijo.options[i-1].text="";
            } if (valorSelecPadre=="***") {  // Carga el hijo con todos
                  hijo.options.length=i;
                  hijo.options[i-1].value=-1;
                  hijo.options[i-1].text="";
                  i=2;
                  for (j=0; j<array.length;j++) {
                  	  bEncontrado="0";
                  	   for (k=0; ((k<hijo.options.length) && (bEncontrado=="0"));k++) { 
                           if (hijo.options[k].value==array[j][1]) {
                               bEncontrado="1";
                           }
                       }     
                       if (bEncontrado=="0")  {             	   	   
			               hijo.options.length=i;
			               hijo.options[i-1].value=array[j][1];
			               hijo.options[i-1].text=array[j][2];
			               if (array[j][1] == defecto) {
						       hijo.options[i-1].selected=true;
			               } 
			              i = i+1;
			           }
	              }
            } else {  // Carga el hijo con los del padre seleccionado
                  hijo.options.length=i;
                  hijo.options[i-1].value=-1;
                  hijo.options[i-1].text="";
                  i=2;
                  for (j=0; j<array.length;j++) {

		              if (array[j][0] == valorSelecPadre) { 
			                     hijo.options.length=i;
			                     hijo.options[i-1].value=array[j][1];
			                     hijo.options[i-1].text=array[j][2];
			                     if (array[j][1] == defecto) {
									hijo.options[i-1].selected=true;
			                     } 
			                     i = i+1;
	                    }
	              }
           }
}
function Pulsado2(valorSelecPadre, hijo, array, defecto,codigo)	{
			var i, j,Tag,longitud;
            i=1;
            if (valorSelecPadre=="") { // Limpia el hijo
                  hijo.options.length=i;
                  hijo.options[i-1].value=-1;
                  hijo.options[i-1].text="";
            } if (valorSelecPadre=="***") {  // Carga el hijo con todos
                  hijo.options.length=i;
                  hijo.options[i-1].value=-1;
                  hijo.options[i-1].text="";
                  i=2;
                  for (j=0; j<array.length;j++) {
			                  	 hijo.options.length=i;
			                     hijo.options[i-1].value=array[j][0];
			                     hijo.options[i-1].text=array[j][1];
			                     if (array[j][1] == defecto) {
									hijo.options[i-1].selected=true;
			                     } 
			                     i = i+1;
	              }
            } else {  // Carga el hijo con los del padre seleccionado
                  hijo.options.length=i;
                  hijo.options[i-1].value=-1;
                  hijo.options[i-1].text="";
                  i=2;
                  for (j=0; j<array.length;j++) {
		              if (array[j][0] == valorSelecPadre) { 
		              	         if (codigo!=2){ 
		              	            if (codigo==array[j][1]){
			                            hijo.options.length=i;
			                            hijo.options[i-1].value=array[j][0];
			                            hijo.options[i-1].text=array[j][2];
			                            if (array[j][0] == defecto) {
									           hijo.options[i-1].selected=true;
			                            } 
			                            i = i+1;
			                        }
			                     }
			                     else{
			                     	 	hijo.options.length=i;
			                            hijo.options[i-1].value=array[j][0];
			                            hijo.options[i-1].text=array[j][2];
			                            if (array[j][0] == defecto) {
									           hijo.options[i-1].selected=true;
			                            } 
			                            i = i+1;
			                            
								 }
	                    }
	              }
           }
}

function PulsarPadre(valorSelecPadre, hijo, array)	{
			var  j;
            if (valorSelecPadre=="") { // Limpia el hijo
                  
                  hijo.value="";
            } 
            else {  // Carga el hijo con los del padre seleccionado
                  for (j=0; j<array.length;j++) {
		              if (array[j][0] == valorSelecPadre) { 
			                            hijo.value=array[j][1];
	                    }
	              }
           }
}

function PulsarMultiple(valorSelecPadre, hijo, array, defecto)	{
			var i, j;
            i=1;
            if (valorSelecPadre=="") { // Limpia el hijo
                  hijo.options.length=i;
                  hijo.options[i-1].value=-1;
                  hijo.options[i-1].text="";
            } if (valorSelecPadre=="***") {  // Carga el hijo con todos
                  hijo.options.length=i;
                  hijo.options[i-1].value=-1;
                  hijo.options[i-1].text="";
                  i=2;
                  for (j=0; j<array.length;j++) {
			                  	 hijo.options.length=i;
			                     hijo.options[i-1].value=array[j][0];
			                     hijo.options[i-1].text=array[j][1];
			                     if (array[j][1] == defecto) {
									hijo.options[i-1].selected=true;
			                     } 
			                     i = i+1;
	              }
            } else {  // Carga el hijo con los del padre seleccionado
                  hijo.options.length=i;
                  hijo.options[i-1].value=-1;
                  hijo.options[i-1].text="";
                  i=2;
                  for (j=0; j<array.length;j++) {
		              if ( valorSelecPadre.indexOf(array[j][0]) > -1 ) { 
			                     hijo.options.length=i;
			                     hijo.options[i-1].value=array[j][0];
			                     hijo.options[i-1].text=array[j][1];
			                     if (array[j][1] == defecto) {
									hijo.options[i-1].selected=true;
			                     } 
			                     i = i+1;
	                    }
	              }
           }
}